
//
// ServerApp.cs
//    Simple COM+ server application for testing.
//
// Author:
//    Tomas Restrepo (tomasr@mvps.org)
//

using System;
using System.Diagnostics;
using System.EnterpriseServices;
using System.Reflection;
using System.Runtime.CompilerServices;
using System.Runtime.InteropServices;

[
assembly: 
   ApplicationName("CS-ServerApp"),
   ApplicationActivation(ActivationOption.Server),
   ApplicationID("a0817e7f-032c-4bce-9743-c4327b97ea18"),

   AssemblyVersion("1.0.0.0"),
   AssemblyKeyFile("ServerApp.snk")
]


namespace Winterdom.EnterpriseServices.Samples
{

   [ Guid("dc49e2c2-c74d-4b53-9162-27e10d012826") ]
   public interface IServerApp
   {
      string GetHostInfo();
      Guid GetTransactionId();

   } // interface IServerApp

   [ 
      Transaction(TransactionOption.Required),
      ClassInterface(ClassInterfaceType.None)
   ]
   public class ServerApp : ServicedComponent, IServerApp
   {
      public string GetHostInfo()
      {
         return string.Format("Host Process ID: {0}", Process.GetCurrentProcess().Id);
      }
      public Guid GetTransactionId()
      {
         return ContextUtil.TransactionId;
      }

   } // class ServerApp


} // namespace Winterdom.EnterpriseServices.Samples
            
